apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  namespace: asag
  name: gitlab-0.0.0-4393de48
spec:
  name: gitlab
  version: 0.0.0-4393de48
  includes:
    - vendor: asag
      name: defaults-service
      version: 0.2.5
  clusters:
    - name: gitlab
      flags:
        - key: v1_role
          from: value
          value: gitlab
          to: label
      sizing:
        initial: 1
        minimum: 1
        maximum: 10
        increment: 1
      podspec:
        containers:
          - name: gitlab
            image: aep/base_jammy
      provides:
        - name: http
          network: loadbalanced
          exposed: true
          servicespec:
            ports:
              - name: http
                protocol: TCP
                port: 80
                targetPort: 80
              - name: https
                protocol: TCP
                port: 443
                targetPort: 443
  dependencies:
    operator:
      name: gitlab-operator
      vendor: asag
      version: 0.0.0-4393de48
  settings:
    - name: environment
      schema:
        default: gitlab_prod
    - name: puppet_timeout
      schema:
        default: 600
